Skip to main content
GET
Find a contact
Search for a contact by email or userId. Only one parameter is allowed.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

email
string

Email address (URI-encoded)

userId
string

Response

List of contacts (or an empty array if no contact was found). Contact objects will include any custom properties.

id
string

The contact's Loops ID.

email
string

The contact's email address.

firstName
string | null

The contact's first name.

lastName
string | null

The contact's last name.

source
string

The source the contact was created from.

subscribed
boolean

Whether the contact will receive campaign and workflow emails.

userGroup
string

The contact's user group.

userId
string | null

The contact's unique user ID.

mailingLists
object

Mailing lists the contact is subscribed to, represented by key-value pairs of mailing list IDs and true.

Example:
optInStatus
enum<string> | null

Double opt-in status. This will be null for contacts unless they are created via a form while double opt-in is enabled.

Available options:
accepted,
pending,
rejected,
null
Last modified on July 17, 2026